/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * xesam-glib
 * Copyright (C) Mikkel Kamstrup Erlandsen 2007 <mikkel.kamstrup@gmail.com>
 * 
 * xesam-glib is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * xesam-glib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with xesam-glib.  If not, write to:
 * 	The Free Software Foundation, Inc.,
 * 	51 Franklin Street, Fifth Floor
 * 	Boston, MA  02110-1301, USA.
 */

#ifndef _XESAM_GLIB_H_
#define _XESAM_GLIB_H_

#include <xesam-glib/xesam-g-session.h>
#include <xesam-glib/xesam-g-search.h>
#include <xesam-glib/xesam-g-searcher.h>
#include <xesam-glib/xesam-g-dbussearcher.h>
#include <xesam-glib/xesam-g-dbus-searcher-stub.h>
#include <xesam-glib/xesam-g-query.h>
#include <xesam-glib/xesam-g-query-builder.h>
#include <xesam-glib/xesam-g-query-parser.h>
#include <xesam-glib/xesam-g-query-token.h>
#include <xesam-glib/xesam-g-user-search-parser.h>
#include <xesam-glib/xesam-g-hits.h>
#include <xesam-glib/xesam-g-hit.h>
#include <xesam-glib/xesam-glib-globals.h>

#endif /* _XESAM_GLIB_H_ */
